Bug 1417736 - [pt_BR][fr][ja] pofilter accelerators test fails for subscription-manager 1.18.X
Summary: [pt_BR][fr][ja] pofilter accelerators test fails for subscription-manager 1.18.X
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 19:44 UTC by John Sefler
Modified: 2017-03-21 10:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-21 10:58:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1391681 0 high CLOSED Zanata translations for subscription-manager 1.18 are not 100% 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2017:0698 0 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2017-03-21 12:39:12 UTC

Internal Links: 1391681

Description John Sefler 2017-01-30 19:44:54 UTC
Description of problem:
After the translation team worked on Bug 1391681, the following pofilter accelerators tests are failing...


Version-Release number of selected component (if applicable):
[root@bkr-hv03-guest24 ~]# rpm -q subscription-manager
subscription-manager-1.18.8-1.el6.x86_64
https://translate.zanata.org/iteration/view/subscription-manager/1.18.X

How reproducible:
always

Comment 1 John Sefler 2017-01-30 19:53:47 UTC
For an explanation of pofilter test 'accelerators', see: http://translate.sourceforge.net/wiki/toolkit/pofilter_tests
ssh root@jsefler-rhel6server.usersys.redhat.com pofilter --gnome -t accelerators /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.po
Stdout:
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2017-01-20 04:05-0500\n"
"PO-Revision-Date: 2017-01-05 12:40-0500\n"
"Last-Translator: Andrea Dallape <adallape@redhat.com>\n"
"Language-Team: Portuguese (Brazil)\n"
"Language: pt-BR\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n != 1)\n"
"X-Generator: Zanata 3.9.6\n"

# (pofilter) accelerators: Accelerator '_' appears before an invalid accelerator character ' '
msgid "I will register _with:"
msgstr "Irei registrar_ com:"
Stderr:
processing 1 files...
[###########################################] 100%
ExitCode: 0
Asserted: Actual value of '0' matches expected value: Successfully executed the pofilter tests.
Failed result of pofiliter test 'accelerators' for translation: msgid='I will register _with:' msgstr='Irei registrar_ com:'
Test Failed: subscriptionManagerPofilter_Test
java.lang.AssertionError: Discounting the ignored test results, the number of failed pofilter 'accelerators' tests for translation file '/usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<1>

Comment 2 John Sefler 2017-01-30 19:56:06 UTC
For an explanation of pofilter test 'accelerators', see: http://translate.sourceforge.net/wiki/toolkit/pofilter_tests
ssh root@jsefler-rhel6server.usersys.redhat.com pofilter --gnome -t accelerators /usr/share/locale/fr/LC_MESSAGES/rhsm.po
Stdout:
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2017-01-20 04:05-0500\n"
"PO-Revision-Date: 2017-01-15 09:32-0500\n"
"Last-Translator: croe <croe@redhat.com>\n"
"Language-Team: French\n"
"Language: fr\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=2; plural=(n > 1)\n"
"X-Generator: Zanata 3.9.6\n"

# (pofilter) accelerators: Missing accelerator '_'
msgid "<b>_Select a common service level for this system's subscriptions:</b>"
msgstr "<b>Veuillez sélectionner un niveau de service commun pour les abonnements de ce système :</b>"

# (pofilter) accelerators: Missing accelerator '_'
msgid "Activation _Key:"
msgstr "Clé d'activation :"

# (pofilter) accelerators: Missing accelerator '_'
msgid "I will register _with:"
msgstr "Je souhaite m'enregistrer sur :"

# (pofilter) accelerators: Missing accelerator '_'
msgid "I will use an Activation _Key"
msgstr "J'utilise une clé d'activation"

# (pofilter) accelerators: Missing accelerator '_'
msgid "System _Name:"
msgstr "Nom du système :"

# (pofilter) accelerators: Missing accelerator '_'
msgid "_Manually attach subscriptions after registration"
msgstr "Attachez les abonnements manuellement après l'enregistrement"

# (pofilter) accelerators: Missing accelerator '_'
msgid "_Password:"
msgstr "Mot de passe :"
Stderr:
processing 1 files...
[###########################################] 100%
ExitCode: 0
Asserted: Actual value of '0' matches expected value: Successfully executed the pofilter tests.
Failed result of pofiliter test 'accelerators' for translation: msgid='<b>_Select a common service level for this system's subscriptions:</b>' msgstr='<b>Veuillez sélectionner un niveau de service commun pour les abonnements de ce système :</b>'
Failed result of pofiliter test 'accelerators' for translation: msgid='Activation _Key:' msgstr='Clé d'activation :'
Failed result of pofiliter test 'accelerators' for translation: msgid='I will register _with:' msgstr='Je souhaite m'enregistrer sur :'
Failed result of pofiliter test 'accelerators' for translation: msgid='I will use an Activation _Key' msgstr='J'utilise une clé d'activation'
Failed result of pofiliter test 'accelerators' for translation: msgid='System _Name:' msgstr='Nom du système :'
Failed result of pofiliter test 'accelerators' for translation: msgid='_Manually attach subscriptions after registration' msgstr='Attachez les abonnements manuellement après l'enregistrement'
Failed result of pofiliter test 'accelerators' for translation: msgid='_Password:' msgstr='Mot de passe :'
Test Failed: subscriptionManagerPofilter_Test
java.lang.AssertionError: Discounting the ignored test results, the number of failed pofilter 'accelerators' tests for translation file '/usr/share/locale/fr/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<7>

Comment 3 John Sefler 2017-01-30 20:03:10 UTC
For an explanation of pofilter test 'accelerators', see: http://translate.sourceforge.net/wiki/toolkit/pofilter_tests
ssh root@jsefler-rhel6server.usersys.redhat.com pofilter --gnome -t accelerators /usr/share/locale/ja/LC_MESSAGES/rhsm.po
Stdout:
msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: \n"
"POT-Creation-Date: 2017-01-20 04:05-0500\n"
"PO-Revision-Date: 2017-01-04 05:22-0500\n"
"Last-Translator: kmoriguc <kmoriguc@redhat.com>\n"
"Language-Team: Japanese\n"
"Language: ja\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"Plural-Forms: nplurals=1; plural=0\n"
"X-Generator: Zanata 3.9.6\n"

# (pofilter) accelerators: Missing accelerator '_'
msgid "<b>_Select a common service level for this system's subscriptions:</b>"
msgstr "<b>このシステムのサブスクリプションの共通サービスレベルを選択してください:</b>"

# (pofilter) accelerators: Missing accelerator '_'
msgid "I will register _with:"
msgstr "次を使用して登録します:"

# (pofilter) accelerators: Missing accelerator '_'
msgid "_Manually attach subscriptions after registration"
msgstr "登録後に手作業でサブスクリプションを割り当てる"
Stderr:
processing 1 files...
[###########################################] 100%
ExitCode: 0
Asserted: Actual value of '0' matches expected value: Successfully executed the pofilter tests.
Failed result of pofiliter test 'accelerators' for translation: msgid='<b>_Select a common service level for this system's subscriptions:</b>' msgstr='<b>このシステムのサブスクリプションの共通サービスレベルを選択してください:</b>'
Failed result of pofiliter test 'accelerators' for translation: msgid='I will register _with:' msgstr='次を使用して登録します:'
Failed result of pofiliter test 'accelerators' for translation: msgid='_Manually attach subscriptions after registration' msgstr='登録後に手作業でサブスクリプションを割り当てる'
Test Failed: subscriptionManagerPofilter_Test
java.lang.AssertionError: Discounting the ignored test results, the number of failed pofilter 'accelerators' tests for translation file '/usr/share/locale/ja/LC_MESSAGES/rhsm.mo'. expected:<0> but was:<3>

Comment 4 John Sefler 2017-01-30 20:15:21 UTC
I have updated Zanata project 1.18.X for the failed translations for 'accelerators' tests against both [pt_BR] [fr] and [ja].

Devel team simply needs to re-pull the translations from https://translate.zanata.org/iteration/view/subscription-manager/1.18.X

Comment 6 John Sefler 2017-02-01 17:43:13 UTC
Verifying Version....
[root@jsefler-rhel6 ~]# rpm -q subscription-manager
subscription-manager-1.18.9-1.el6.x86_64


[root@jsefler-rhel6 ~]# msgunfmt --no-wrap /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.mo -o /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.po
[root@jsefler-rhel6 ~]# pofilter --gnome -t accelerators /usr/share/locale/pt_BR/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%
[root@jsefler-rhel6 ~]# 

VERIFIED: all [pt_BR] pofilter endwhitespace test are passing



[root@jsefler-rhel6 ~]# msgunfmt --no-wrap /usr/share/locale/fr/LC_MESSAGES/rhsm.mo -o /usr/share/locale/fr/LC_MESSAGES/rhsm.po
[root@jsefler-rhel6 ~]# pofilter --gnome -t accelerators /usr/share/locale/fr/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%
[root@jsefler-rhel6 ~]# 

VERIFIED: all [fr] pofilter endwhitespace test are passing



[root@jsefler-rhel6 ~]# msgunfmt --no-wrap /usr/share/locale/ja/LC_MESSAGES/rhsm.mo -o /usr/share/locale/ja/LC_MESSAGES/rhsm.po
[root@jsefler-rhel6 ~]# pofilter --gnome -t accelerators /usr/share/locale/ja/LC_MESSAGES/rhsm.po
processing 1 files...
[###########################################] 100%
[root@jsefler-rhel6 ~]# 

VERIFIED: all [ja] pofilter endwhitespace test are passing

Comment 7 John Sefler 2017-02-01 17:47:06 UTC
typos in comment 6... all of the VERIFIED comments should say "accelerators" test are passing, not "endwhitespace".

Comment 9 errata-xmlrpc 2017-03-21 10:58:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0698.html


Note You need to log in before you can comment on or make changes to this bug.